Subject: [AVTCORE] [Technical Errata Reported] RFC5404 (3245)

From: RFC Errata System <[email-masked]>
Date: Mon, 4 Jun 2012 21:19:57 -0700 (PDT)

The following errata report has been submitted for RFC5404,
"RTP Payload Format for G.719".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5404&eid=3245

--------------------------------------
Type: Technical
Reported by: int-delay ABNF does not match to example mention in RFC <[email-masked]>

Section: 7.1

Original Text
-------------
7.1.  Media Type Definition

int-delay:  
         int-delay = "int-delay:" source-delay *("," source-delay)
         source-delay = SSRC ":" delay-value
         SSRC = 1*8HEXDIG ; The 32-bit SSRC encoded in hex format
         delay-value = 1*5DIGIT ; The delay value in milliseconds
 
         Example: int-delay=ABCD1234:1000,4321DCB:640
 
         NOTE: No white space allowed in the parameter before the end of
         all the value pairs

Corrected Text
--------------
         int-delay = "int-delay=" source-delay *("," source-delay)
         source-delay = SSRC ":" delay-value
         SSRC = 1*8HEXDIG ; The 32-bit SSRC encoded in hex format
         delay-value = 1*5DIGIT ; The delay value in milliseconds
 
         Example: int-delay=ABCD1234:1000,4321DCB:640
 
         NOTE: No white space allowed in the parameter before the end of
         all the value pairs

Notes
-----
"int-delay:" need to change to "int-delay=" 

7.2.  Mapping to SDP
   o  Any remaining parameters go in the SDP "a=fmtp" attribute by
      copying them directly from the media type parameter string as a
      semicolon-separated list of parameter=value pairs.
As per section 7.2 int-delay parameter should be part of a=fmtp line and it should have parameter as parameter=value pair.

But as per ABNF it should be int-delay:<value>

Also example mentions that int-delay=<value>

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5404 (draft-ietf-avt-rtp-g719-04)
--------------------------------------
Title               : RTP Payload Format for G.719
Publication Date    : January 2009
Author(s)           : M. Westerlund, I. Johansson
Category            : PROPOSED STANDARD
Source              : Audio/Video Transport
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG

---

From: Magnus Westerlund <[email-masked]>
Date: Tue, 5 Jun 2012 08:47:01 +0200

Hi,

This errata appear correct. The MIME RFCs requires parameter-name=value
to be separated by "=".

Most likely a copy and paste error that wasn't detected.

Cheers

Magnus

-- 

Magnus Westerlund

----------------------------------------------------------------------
Multimedia Technologies, Ericsson Research EAB/TVM
----------------------------------------------------------------------
Ericsson AB                | Phone  +46 10 7148287
Färögatan 6                | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden| mailto: [email-masked]
----------------------------------------------------------------------